Bug 83096 - Linux CD install fails before writing to Harddisk using default params - cannot write to floppy
Linux CD install fails before writing to Harddisk using default params - cann...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
8.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-30 01:59 EST by Bob Zagarello
Modified: 2007-04-18 12:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-19 10:29:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Zagarello 2003-01-30 01:59:58 EST
Description of problem:

While at the Installing Packages screen (page 70 in the installation guide), 
the installation fails before writing to the hard drive and displays the 
following error trace:

File "/usr/lib/anaconda/gui.py", line 786, in handleRenderCallback
   self.currentWindow.renderCallback()

File "/usr/lib/anaconda/iw/progress_gui.py", line 149, in renderCallback
   self.intf.icw.nextClicked()

File "/usr/lib/anaconda/gui.py", line 632, in nextClicked
   self.dispatch.gotoNext()

File "/usr/lib/anaconda/dispatch.py", line 150, in gotoNext
   self.moveStep()

File "/usr/lib/anaconda/dispatch.py", line 215, in moveStep
   rc=apply(func,self.bindArgs(args))

File "/usr/lib/anaconda//packages.py", line 430, in turnOnFilesystems
   partitions.doMetaDeletes(diskset)

File "/usr/lib/anaconda//partitions.py", line 1110, in doMetaDeletes
   lvm.vgactivate()

File "/usr/lib/anaconda/lvm.py", line 54, in vgactivate
   searchPath = 1)

File "/usr/lib/anaconda//iutil.py", line 66, in execWithRedirect
   childpid = os.fork()

OSError[Errno 12] Cannot allocate memory

In the above attempt I installed using the defaults with the exception of 
specifying that all partitions be removed first.  I had Windows 95 on the 
system before attempting to install and after rebooting after this failure 
Windows 95 was still booting, indicating that no writes to the hard drive had 
occurred.

Version-Release number of selected component (if applicable):
Red Hat Linux Personal Edition V8.0
These CDs were purchased online from RedHat directly.

How reproducible:  CD install w/default params plus remove all partitions

Actual results:  Failed at Installing Packages screen

Note:  I expected some problems with install because the hardware may be a 
certain level of incompatibility, but I thought at least the OS would install.

Hardware: NexTrend PC:
P5VX-BE Mainboard w/Intel Pentium 200 CPU, 64 MB RAM, plenty of IDE hard drive 
(gigabytes), ISA system bus w/Intel 82371SB PCI Bus Master bridge, S3 ViRGE 
PCI, OPTi Audio 16, 3Com 3C595-TX PCI Bus Master NIC, SupraMAX 56i Voice PCI, 
serial COM port mouse, DIN (not PS/2) keyboard interface, USB PCI Controller 
add-on.
W2K installs without support for OPTi Audio 16.

IF ANYONE THINKS IT POSSIBLE FOR LINUX PERSONAL TO GET INSTALLED ON THE ABOVE 
SYSTEM I WOULD LIKE TO KNOW ASAP BECAUSE I DON'T REALLY WANT TO RUN W2K ON IT !!

THANKS IN ADVANCE...  BOB ZAGARELLO.
Comment 1 Michael Lee Yohe 2003-01-30 10:24:45 EST
This appears to be a duplicate of Bug 76123.  The problem is that there is not
enough memory to process the transactions that are to be executed by the
installer.  Anaconda, in GUI mode, requires at least 64M of memory.

You can alternatively attempt to install Red Hat Linux 8.0 in text mode by
specifying "linux text" at the SYSLINUX prompt upon first boot.
Comment 2 Michael Fulbright 2003-02-19 10:29:56 EST
Closing due to inactivity. Please reopen if you have additional information to
add to the report.

Note You need to log in before you can comment on or make changes to this bug.